@echo off

if "%PROCESSOR_ARCHITECTURE%" == "AMD64" goto OSx64
if "%PROCESSOR_ARCHITECTURE%" == "x86" goto OSx86

:OSx64
.\AFUWIN\AFUWINx64 .\ROM\N7-Z390-1.0.2.ROM /p /b /n /r /q

goto OK

:OSx86
.\AFUWIN\AFUWIN .\ROM\N7-Z390-1.0.2.ROM /p /b /n /r /q

goto OK

:OK
echo
echo Update completed.

